package com.example.dpanntout;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        Initialisation();
    }


    private void Initialisation() {
        Button tvBtMenuAdCli = (Button) findViewById(R.id.tvBtMenuAdCli);
        tvBtMenuAdCli.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                demarrerPageCreerClient();
            }
        });
        Button tvBtMenuListCli = (Button)findViewById(R.id.tvBtMenuListCli);
        tvBtMenuListCli.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                demarrerPageListeClient();
            }
        });
        Button tvBtMenuAdInter = (Button)findViewById(R.id.tvBtMenuAdInter);
        tvBtMenuAdInter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                demarrerPageCreerInter();
            }
        });

        Button tvBtMenuListInter = (Button)findViewById(R.id.tvBtMenuListInter);
        tvBtMenuListInter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                demarrerPageListeinter();
            }
        });
    }

    //methode utilise Intent pour demarrer la page
        private void demarrerPageCreerClient () {
            Intent intent = new Intent(MainActivity.this, CreerClient.class);
            startActivity(intent);
        }

        private void demarrerPageListeClient(){
        Intent intent = new Intent(MainActivity.this, ListeClient.class);
        startActivity(intent);
        }

    private void demarrerPageCreerInter(){
        Intent intent = new Intent(MainActivity.this, creerIntervention.class);
        startActivity(intent);
    }

    private void demarrerPageListeinter(){
        Intent intent = new Intent(MainActivity.this, ListeIntervention.class);
        startActivity(intent);
    }

    }