package metier;

public class Client {

    private int id = 0;
    private String nom;
    private String prenom;
    private String adrMail;
    private String numTel;
    private String adrPostale;


    public int getId() {

        return id;
    }
    public String getNom() {

        return nom;
    }
    public String getPrenom() {

        return prenom;
    }
    public String getAdrMail() {
        return adrMail;
    }

    public String getNumTel() {

        return numTel;
    }


    public String getAdrPostale() {
        return adrPostale;
    }

    @Override
    public String toString() {
        return "Client{" +
                "id=" + id +
                ", nom='" + nom + '\'' +
                ", prenom='" + prenom + '\'' +
                ", adrMail='" + adrMail + '\'' +
                ", numTel='" + numTel + '\'' +
                ", adrPostale='" + adrPostale + '\'' +
                '}';
    }

    //constructeur avec id client qui sera utiles pour recuperer un client depuis la bdd
    public Client(int id, String nom, String prenom,  String adrMail, String numTel, String adrPostale) {
        this.id = id;
        this.nom = nom;
        this.prenom = prenom;
        this.adrMail = adrMail;
        this.numTel = numTel;
        this.adrPostale = adrPostale;
    }

    //constructeur sans idClient qui sera utile pour créer un nv client, son id sera generer dans la bdd
    public Client(String nom, String prenom,  String adrMail,String numTel, String adrPostale) {
        this.nom = nom;
        this.prenom = prenom;
        this.adrMail = adrMail;
        this.numTel = numTel;
        this.adrPostale = adrPostale;
    }
}
